Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.structureddocument.internal.provisional
Interface IStructuredDocumentContextFactory

public interface IStructuredDocumentContextFactory

A factory method for constructing context objects related to SSE structured documents. May be sub-classed or implemented by clients

Field Summary
`static IStructuredDocumentContextFactory` | `INSTANCE` The singleton instance of the factory

Method Summary
`IStructuredDocumentContext` | `getContext(org.eclipse.jface.text.IDocument document, int documentPosition)`
`IStructuredDocumentContext` | `getContext(org.eclipse.jface.text.IDocument document, org.w3c.dom.Node node)`
`IStructuredDocumentContext` | `getContext(org.eclipse.jface.text.ITextViewer textViewer, int documentPosition)`

Field Detail

### INSTANCE

    public static final IStructuredDocumentContextFactory INSTANCE

  The singleton instance of the factory

Method Detail

### getContext

    public IStructuredDocumentContext getContext(org.eclipse.jface.text.ITextViewer textViewer,
                                                 int documentPosition)

  Parameters:
    `textViewer` - -- the text viewer where the context exists
    `documentPosition` - -- the absolute position of the context relative to textViewer
  Returns:
    a context for a given text viewer and document position within the document model of that text viewer or null if one cannot be determined.

### getContext

    public IStructuredDocumentContext getContext(org.eclipse.jface.text.IDocument document,
                                                 int documentPosition)

  Parameters:
    `document` - -- the document
    `documentPosition` - -- the absolute position of the context relative to the document
  Returns:
    a context for the document model or null if one cannot be determined

### getContext

    public IStructuredDocumentContext getContext(org.eclipse.jface.text.IDocument document,
                                                 org.w3c.dom.Node node)

  Parameters:
    `document` - -- the document model
    `node` - -- the DOM node within the document
  Returns:
    a context for the document model and dom node or null if one cannot be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD